set terminal postscript eps solid 14
set output "currQWT-shortq.eps"
set pointsize 1
set xrange [0:77000]
set yrange [0:240]
set title "QWT of HPM for short queues (240 time units = 4 hrs)"
set ylabel "QWT in time units (60s)"
set xlabel "time/seconds"
set label "(a)" at graph -0.1,1.05 left font "Times-bold,20"

set label "Computing energy furnished:" at graph 0.2,0.95 left
set label "CE10 and CE11: 800 UCE/t.u." at graph 0.2,0.9 left
set label "CE12 and CE13: 1200 UCE/t.u." at graph 0.2,0.86 left
set label "CE14 and CE15: 1600 UCE/t.u." at graph 0.2,0.82 left
set label "CE16 and CE17: 2000 UCE/t.u." at graph 0.2,0.78 left
set label "CE18 and CE19: 2400 UCE/t.u." at graph 0.2,0.74 left

set label "Prices of HPM:" at graph 0.95,0.5 right
set label "CE10-12: price is 1075 +/- 50" at graph 0.95,0.45 right
set label "CE13-16: price is 1100 +/- 50" at graph 0.95,0.41 right
set label "CE17-19: price is 1125 +/- 50" at graph 0.95,0.37 right 
set label "price adjustment interval: 10min." at graph 0.95,0.32 right
set label "price adjustment threshold is 2" at graph 0.95,0.28 right

set label "Utility function: price-sensitive" at graph 0.95,0.22 right

plot 'currQWT_CE10.dat' title "CE10" with lp pt 9, 'currQWT_CE11.dat' title "CE11" with lp pt 18, 'currQWT_CE12.dat' title "CE12" with lp pt 38, 'currQWT_CE13.dat' title "CE13" with lp pt 7, 'currQWT_CE14.dat' title "CE14" with lp pt 32, 'currQWT_CE15.dat' title "CE15" with lp pt 60, 'currQWT_CE16.dat' title "CE16" with lp pt 10, 'currQWT_CE17.dat' title "CE17" with lp pt 25, 'currQWT_CE18.dat' title "CE18" with lp pt 48, 'currQWT_CE19.dat' title "CE19" with lp pt 2
