set terminal postscript eps solid 14
set output "currQWT-veryshortq.eps"
set pointsize 1
set xrange [0:77000]
set yrange [0:120]
set title "QWT of HPM for very short queues (120 time units = 2 hrs)"
set ylabel "QWT in time units (60s)"
set xlabel "time/seconds"
set label "(a)" at graph -0.1,1.05 left font "Times-bold,20"

set label "Computing energy furnished:" at graph 0.2,0.95 left
set label "CE0 and CE1: 800 UCE/t.u." at graph 0.2,0.9 left
set label "CE2 and CE3: 1200 UCE/t.u." at graph 0.2,0.86 left
set label "CE4 and CE5: 1600 UCE/t.u." at graph 0.2,0.82 left
set label "CE6 and CE7: 2000 UCE/t.u." at graph 0.2,0.78 left
set label "CE8 and CE9: 2400 UCE/t.u." at graph 0.2,0.74 left

set label "Prices of HPM:" at graph 0.95,0.5 right
set label "CE0-2: price is 1175 +/-50" at graph 0.95,0.45 right
set label "CE3-6: price is 1200 +/-50" at graph 0.95,0.41 right
set label "CE7-9: price is 1225 +/-50" at graph 0.95,0.37 right 
set label "price adjustment interval: 10min." at graph 0.95,0.32 right
set label "price adjustment threshold is 2" at graph 0.95,0.28 right

set label "Utility function: price-sensitive" at graph 0.95,0.22 right

plot 'currQWT_CE0.dat' title "CE0" with lp pt 9, 'currQWT_CE1.dat' title "CE1" with lp pt 18, 'currQWT_CE2.dat' title "CE2" with lp pt 38, 'currQWT_CE3.dat' title "CE3" with lp pt 7, 'currQWT_CE4.dat' title "CE4" with lp pt 32, 'currQWT_CE5.dat' title "CE5" with lp pt 60, 'currQWT_CE6.dat' title "CE6" with lp pt 10, 'currQWT_CE7.dat' title "CE7" with lp pt 25, 'currQWT_CE8.dat' title "CE8" with lp pt 48, 'currQWT_CE9.dat' title "CE9" with lp pt 2
