package org.edg.wl.dgas.dgassim.workload.pa;

import org.edg.wl.dgas.dgassim.fabric.*;

/**
   represents a pricing module used by
   {@link org.edg.wl.dgas.dgassim.workload.pa.PriceAuthority PriceAuthority}s
   to determine the prices of Grid resources
   ({@link org.edg.wl.dgas.dgassim.fabric.ComputingElement ComputingElement}s).
 */
public interface PricingModule {

    /**
       defines how to compute a new price.
       @return the price in <i>GridCredits</i> per <i>unit of computational
       energy (UCE)</i>.
       @param ce the
       {@link org.edg.wl.dgas.dgassim.fabric.ComputingElement ComputingElement}
       for which to compute the new price.
     */
    public int computePrice(ComputingElement ce);
}
